#ifndef getkey_h_
#define	getkey_h_

#include <util\atomic.h>                // need "--std=c99"
#include <avr\interrupt.h>

extern uint8_t key_state;			// debounced and inverted key state:
						// bit = 1: key pressed

void get_key_init();
uint8_t get_key_press( uint8_t key_mask );
uint8_t get_key_rpt( uint8_t key_mask );
uint8_t get_key_short( uint8_t key_mask );
uint8_t get_key_long( uint8_t key_mask );


#endif
